Skip to content
Back to top
View this page

# WebAppInfo

class telegram.WebAppInfo(url, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object contains information about a Web App.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `url` are equal.

  Examples

  Webapp Bot

  Available In

  - `telegram.InlineKeyboardButton.web_app`

  - `telegram.InlineQueryResultsButton.web_app`

  - `telegram.KeyboardButton.web_app`

  - `telegram.MenuButtonWebApp.web_app`

  Added in version 20.0.

  Parameters:

    url (`str`) – An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps.

  url

    An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps.

    Type:

      `str`